/************************************************************************/
/*  External variables.							*/
/*									*/
/*	Douglas Neuhauser						*/
/*	Seismological Laboratory					*/
/*	University of California, Berkeley				*/
/*	doug@seismo.berkeley.edu					*/
/*									*/
/************************************************************************/

/*
 * Copyright (c) 1996-2000 The Regents of the University of California.
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for educational, research and non-profit purposes,
 * without fee, and without a written agreement is hereby granted,
 * provided that the above copyright notice, this paragraph and the
 * following three paragraphs appear in all copies.
 * 
 * Permission to incorporate this software into commercial products may
 * be obtained from the Office of Technology Licensing, 2150 Shattuck
 * Avenue, Suite 510, Berkeley, CA  94704.
 * 
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 * INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND
 * ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE
 * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
 * CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */

/*	$Id: externals.h,v 1.2 2000/10/26 13:39:13 doug Exp $ 	*/

#ifndef	EXTERN
#define	EXTERN	extern
#endif	/* EXTERN */

/***************************** External variables   *********************/

/*  Command line information.						*/
/*  Command line arguments.						*/
EXTERN char	*cmdname;		/* command name.		*/
EXTERN char	*infile;		/* input file name.		*/

/*  Misc external info.							*/
EXTERN FILE	*info;			/* information FILE pointer.	*/
EXTERN char	*outfile;		/* output file name.	*/

/* file information.
EXTERN int	nfiles;			/* # of input files to merge.	*/
EXTERN char	*outfile;		/* name of output file.		*/

/* holdings information.						*/
EXTERN char	*header_dir;		/* header directory.		*/
EXTERN char	*operator;		/* operator.			*/
EXTERN char	*dcc;			/* data collection center.	*/
EXTERN char	*network;		/* network operator of station.	*/

EXTERN double	seed_version;		/* seed version number.		*/

EXTERN int	herrno;			/* keep's qlib happy...		*/
extern char *syntax[];
